Bug 1251455 - [RFE] Allow different analysis profiles to be applied
[RFE] Allow different analysis profiles to be applied
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis (Show other bugs)
5.4.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.6.0
Assigned To: Rich Oliveri
Dave Johnson
smartstate
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-07 06:52 EDT by Sergio Ocon
Modified: 2016-09-21 01:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-21 01:58:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio Ocon 2015-08-07 06:52:19 EDT
Description of problem:
When adding a host and analysis profile, I want to be able to choose different profiles for different workloads, so different information is stored in the database.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:
Today, default and host default are the profiles used for smart analysis, even though serveral can be created.

Expected results:
1. I can select the default profile to be used for hosts and VM.
2. I can select which profile is used for analysis with priorities. For instance, I can make some VM (internal) have more information about content files that I would do in third party VM.

Additional info:
That would allow me to store file information only on those VM that really need it for compliance or drift analysis, while keeping that information out of scope for other VM. A default profile should always be used.
Also, it would make clear what analysis profile is going to be used (for instance, add a button the VM to know what information is stored)
Comment 2 Shane Boulden 2016-06-08 02:59:31 EDT
This is supported in Cloudforms. The steps to achieve this for a VM are:

1. Create an analysis profile

a. Log-in to the Cloudforms appliance as the admin user
b. Select "Configure" -> "Configuration"
c. Expand the "Settings" accordion
d. Select "Analysis Profiles"
e. Select "Configuration" -> "Add VM Analysis Profile"
f. Provide a name and description for the analysis profile, and specify the files and categories to be scanned.
g. Select "Add"

2. Create an action to assign the Analysis Profile to an Analysis Task

a. Select "Control" -> "Explorer"
b. Expand the "Actions" accordion
c. Select "Configuration" -> "Add a New Action"
d. Provide a description
e. Under "Action Type", select "Assign Profile to Analysis Task"
f. Under "Analysis Profiles", select the analysis profile created in (1)
g. Select "Add"

3. Create a VM Control Policy to assign the action created in (2) to a "VM Analysis Start" event 

a. Select "Control" -> "Explorer"
b. Expand the "Policies" accordion
c. Expand "Control Policies"
d. Select "VM Control Policies"
e. Select "Configuration" -> "Add a New Vm Control Policy"
f. Provide a description, and optionally a scope, and select "Add"
g. Select the VM control policy created in (f)
h. Select "Configuration" -> "Edit this policy's event assignments"
i. Under "VM Operation" select "VM Analysis Start"
j. Select "Save"
k. Select the Event created in (j) 
l. Select "Configuration" -> "Edit Actions for this Policy Event"
m. In the left-hand column, under "Order of Actions if ALL Conditions are True", select the action created in (2)
n. Move the action into the right-hand column "Select actions"
o. Select "Save"

4. Create a Policy Profile, and assign the VM Control Policy created in (3)

a. Select "Control" -> "Explorer"
b. Expand the "Policy Profiles" accordion
c. Select "Configuration" -> "Add a New Policy Profile"
d. Provide a description
e. Under "Available policies", select the VM control policy created in (3)
f. Move the policy into the right-hand column, under "Policy Profiles"
g. Select "Save"

5. Assign the Policy Profile created in (4) to a VM, and initiate a SmartState Analysis

a. Select an available VM ("Clouds" -> "Instances" or "Infrastructure" -> "Virtual Machines")
b. Select "Policy" -> "Manage Policies"
c. Select the Policy Profile created in (4)
d. Select "Configuration" -> "Perform SmartState Analysis"

SmartState Analysis will now report back findings according to the Analysis Profile created in (1).

Note You need to log in before you can comment on or make changes to this bug.